//! Semtech SX1276/77/78/79 driver for [Drone ARM Cortex-M].
//!
//! [Drone ARM Cortex-M]: https://github.com/drone-os/drone-cortex-m

#![feature(generators)]
#![feature(prelude_import)]
#![feature(proc_macro)]
#![no_std]
#![warn(missing_docs)]
#![cfg_attr(test, feature(alloc))]
#![cfg_attr(test, feature(allocator_api))]
#![cfg_attr(test, feature(allocator_internals))]
#![cfg_attr(test, feature(compiler_builtins_lib))]
#![cfg_attr(test, feature(global_allocator))]
#![cfg_attr(test, feature(slice_get_slice))]
#![cfg_attr(test, default_lib_allocator)]
#![cfg_attr(feature = "clippy", feature(plugin))]
#![cfg_attr(feature = "clippy", plugin(clippy))]
#![cfg_attr(feature = "clippy", allow(precedence, doc_markdown))]

#[cfg(test)]
extern crate alloc;
#[cfg(test)]
extern crate compiler_builtins;
#[macro_use]
extern crate drone_core;
extern crate drone_cortex_m;
extern crate drone_sx1276;
#[cfg(test)]
extern crate test;

pub mod conn;
pub mod tokens;

pub use tokens::Tokens;

#[prelude_import]
#[allow(unused_imports)]
use drone_cortex_m::prelude::*;

#[cfg(test)]
drone_core::heap! {
  Heap;
  #[global_allocator]
  ALLOC;
}
